1. Earn
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
        • Accept a trading quote
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
          POST
        • List earn asset configurations
          GET
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
      • Margin
        • Get the leverage multipliers currently allowed for margin trading an asset
      • Crypto Networks
        • Get the blockchain networks supported for depositing and withdrawing a crypto asset
  • MCP Server
    • Getting Started
    • Tools
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Earn

List earn asset configurations

GET
/v1/earn/configs

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/earn/configs?assetId=b86c034b-efe3-11eb-b56f-0691764446a7&type=FLEXIBLE&mode=STAKING_EARN&cursor=b86c034b-efe3-11eb-b56f-0691764446a7&page_size=20' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
*/*
Asset configs retrieved successfully
Body*/*

Example
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",
            "annual_percentage_rate": 0,
            "type": "string",
            "mode": "string",
            "enabled": true,
            "soldout": true
        }
    ],
    "self_cursor": "string",
    "next_cursor": "string",
    "has_next_page": true
}
🟠400
🔴500
Modified at 2026-09-23 07:30:24
Previous
Execute an earn action (stake or unstake)
Next
Get the ticker for a given asset
Built with